jQuery(function ($) {
    "use strict";

    var FCMetaboxes = {

        field: jQuery('#wpdesk_pdf_coupons'),

        requiredFields: function () {
            let left_checkboxes = jQuery( '.checkbox-wrapper-left input' );
            if ( left_checkboxes.length ) {
                left_checkboxes.each( function () {
                    let checked = $( this ).prop( 'checked' );
                    let required_fields = jQuery( this ).closest( '.checkbox-wrapper' ).find( '.checkbox-wrapper-right' );
                    if ( checked ) {
                        required_fields.show();
                    } else {
                        required_fields.hide();
                    }
                } );

                left_checkboxes.click( function () {
                    let checked = $( this ).prop( 'checked' );
                    let required_field = jQuery( this ).closest( '.checkbox-wrapper' ).find( '.checkbox-wrapper-right' );
                    if ( checked ) {
                        required_field.show();
                    } else {
                        required_field.hide();
                        required_field.find( 'input' ).prop( 'checked', false );
                    }
                } )

            }
        },

        productPage: function () {
            let field = jQuery('#wpdesk_pdf_coupons');
            let general_tab = jQuery('.general_options a');
            let coupon_tab = jQuery('.pdfcoupons_tab');
            let coupon_panel = jQuery('.pdfcoupon_product_data');
            let virtual_field = jQuery('#_virtual');
            //let shipping_tab = jQuery('li.shipping_tab');
            //let market_tab = jQuery('li.marketplace-suggestions_tab');
            let attribute_tab = jQuery('li.attribute_tab');
            let tab_if = jQuery( '.hide_if_coupon_disabled');

            $( 'input#_downloadable, input#_virtual' ).change( function() {
                coupon_tab.hide();
                coupon_panel.hide();
            });

            $( 'input#_downloadable' ).on( 'change', function() {
                let is_pdf_coupon = jQuery('#wpdesk_pdf_coupons').is( ':checked' );
                if( is_pdf_coupon ) {
                    //virtual_field.prop('checked', true);
                    //virtual_field.parent().hide();
                }
            });

            if (field.length) {
                field.change(function () {
                    if (jQuery(this).is(':checked')) {
                        coupon_tab.show();
                        coupon_panel.show();
                        //virtual_field.prop('checked', true);
                        //virtual_field.parent().hide();
                        //shipping_tab.hide();
                        //market_tab.hide();
                        tab_if.removeClass('hide');
                    } else {
                        general_tab.click();
                        coupon_tab.hide();
                        coupon_panel.hide();
                        //virtual_field.prop('checked', false);
                        //virtual_field.parent().show();
                        //shipping_tab.show();
                        //market_tab.show();
                        tab_if.addClass('hide');
                    }
                });

                if (field.is(':checked')) {
                    coupon_tab.show();
                    coupon_panel.show();
                    //virtual_field.prop('checked', true);
                    //virtual_field.parent().hide();
                    //shipping_tab.hide();
                    //market_tab.hide();
                    tab_if.removeClass('hide');
                }
            }

            var product_type = jQuery('select#product-type');
            if (product_type.val() === 'variable') {
                field.parent().show();
            }
            $(document.body).on('woocommerce-product-type-change', function (e, val) {
                if (val === 'variable') {
                //     if (field.is(':checked')) {
                //         jQuery('.woocommerce_variable_attributes').find('.variable_is_virtual').each(function () {
                //             $(this).prop('checked', true);
                //         });
                //     }
                    field.parent().show();
                }
                if (field.is(':checked')) {
                    coupon_tab.show();
                    coupon_panel.show();
                    tab_if.removeClass('hide');
                    //virtual_field.prop('checked', true);
                    //virtual_field.parent().hide();
                    //shipping_tab.hide();
                    //market_tab.hide();
                } else {
                    coupon_tab.hide();
                    coupon_panel.hide();
                    tab_if.hide();
                    tab_if.addClass('hide');
                }
            });

            let _this = this;

            $('#variable_product_options').on('reload', function (e) {
                if (product_type.val() === 'variable') {
                    field.parent().show();
                }
            });

            let container = $('#woocommerce-product-data');

            // Fires when variation is loaded.
            container.on('woocommerce_variations_loaded', function (e) {
                _this.hideCheckboxes();
            })


            container.on('change', '#wpdesk_pdf_coupons', function () {
                _this.hideCheckboxes();
            })

            // Prevent uncheck virtual from variable product.
            // container.on('change', '.variable_is_virtual', function () {
            //     if (field.is(':checked') && !$(this).is(':checked')) {
            //         $(this).prop('checked', true);
            //     }
            // })
        },

        hideCheckboxes: function () {
            // let variable_virtual_checkbox = jQuery('.variable_is_virtual');
            // let variable_download_checkbox = jQuery('.variable_is_downloadable');
            // if (this.field.is(':checked')) {
            //     variable_virtual_checkbox.prop('checked', true);
            //     variable_virtual_checkbox.parent().hide();
            //     variable_download_checkbox.parent().hide();
            // }
        },

        expiringOwnField: function() {
            let parent_field = jQuery( 'select.expiring-date-select' );
            if( parent_field.length && parent_field.val() === 'own' ) {
                jQuery('.expiring-date-own' ).show();
            } else {
                jQuery('.expiring-date-own' ).hide();
            }

            parent_field.change( function() {
                if( jQuery( this).val() === 'own' ) {
                    jQuery('.expiring-date-own' ).show();
                } else {
                    jQuery('.expiring-date-own' ).hide();
                }
            })
        },

        /** Settings for simple product */
        manageSimpleCouponCodePrefix: function() {
            jQuery( this ).closest( '.woocommerce_options_panel' ).find( '.show_if_variation_manage_prefix' ).hide();
            if ( jQuery( this ).is( ':checked' ) ) {
                jQuery( this ).closest( '.woocommerce_options_panel' ).find( '.show_if_variation_manage_prefix' ).show();
            }
        },

        initSimpleCouponCodeCheckbox: function() {
            let wrapper = jQuery( '.woocommerce_options_panel' );
            let input = jQuery( '.woocommerce_options_panel input.fc_coupon_own_code' );
            wrapper.on( 'change', 'input.fc_coupon_own_code', this.manageSimpleCouponCodePrefix );
            if( input.is( ':checked' ) ) {
                input.closest( '.woocommerce_options_panel' ).find( '.show_if_variation_manage_prefix' ).show();
            }
        },


        /** Settings for variable product */
        manageVariableCouponsCodePrefix: function() {
            jQuery( this ).closest( '.woocommerce_variation' ).find( '.show_if_variation_manage_coupons' ).hide();
            if ( jQuery( this ).is( ':checked' ) ) {
                jQuery( this ).closest( '.woocommerce_variation' ).find( '.show_if_variation_manage_coupons' ).show();
            }
        },

        manageVariablePrefix: function() {
            jQuery( this ).closest( '.woocommerce_variation' ).find( '.show_if_variation_manage_prefix' ).hide();
            if ( jQuery( this ).is( ':checked' ) ) {
                jQuery( this ).closest( '.woocommerce_variation' ).find( '.show_if_variation_manage_prefix' ).show();
            }
        },

        initVariableCheckbox: function() {
            let _this = this;
            let wrapper = jQuery( '#variable_product_options' );
            wrapper.on( 'change', 'input.fc_variation_base_on', this.manageVariableCouponsCodePrefix );
            wrapper.on( 'change', 'input.fc_coupon_own_code', this.manageVariablePrefix );

            jQuery('body').on('woocommerce_variations_loaded woocommerce_variations_added', function(){
                let is_checked = jQuery( this ).find( '#wpdesk_pdf_coupons' ).prop( 'checked' );
                if( is_checked ) {
                    let variation_box = jQuery( this ).find( '#variable_product_options' );
                    variation_box.find( '.show_if_pdf_coupon' ).show();
                }

                _this.expiringOwnField();
                _this.requiredFields();

                let parent_fields = jQuery( '.woocommerce_variation' ).find( 'select.expiring-date-select' );
                parent_fields.each(function () {
                    let _select = jQuery( this );
                    if( _select.val() === 'own' ) {
                        _select.parent().next().show();
                    } else {
                        _select.parent().next().hide();
                    }
                });

            });
        },

    };

    FCMetaboxes.productPage();
    FCMetaboxes.requiredFields();
    FCMetaboxes.expiringOwnField();
    FCMetaboxes.initVariableCheckbox();
    FCMetaboxes.initSimpleCouponCodeCheckbox();

});
