<?php

namespace FlexibleCouponsVendor;

/**
 * Product template field.
 *
 * This template can be used in simple product PDF coupon settings or variations.
 */
use FlexibleCouponsVendor\WPDesk\Library\WPCoupons\Integration\PostMeta;
$params = isset($params) ? (array) $params : [];
/**
 * @var PostMeta $meta
 */
$meta = $params['post_meta'];
$post_id = $params['post_id'];
$is_premium = $params['is_premium'];
$product_templates = $params['product_templates'];
$loop_id = isset($params['loop']) ? '_variation' . $params['loop'] : '';
$loop_name = isset($params['loop']) ? "_variation[{$params['loop']}]" : '';
$parent_id = isset($params['parent_id']) ? $params['parent_id'] : null;
// Get the parent default meta value for variable.
$default = $meta->get_private($parent_id, 'flexible_coupon_product_template', '');
$value = $meta->get_private($post_id, 'flexible_coupon_product_template', $default);
$docs_url = 'pl_PL' === \get_locale() ? 'https://www.wpdesk.pl/docs/flexible-coupons-pro/?utm_source=flexible-coupons-settings&utm_medium=link&utm_campaign=flexible-coupons-docs-link&utm_content=edit-simple-product#edycja-produktu' : 'https://www.wpdesk.net/docs/flexible-coupons-pro/?utm_source=flexible-coupons-settings&utm_medium=link&utm_campaign=flexible-coupons-docs-link&utm_content=edit-simple-product#Product_edit_screen';
$docs_link = \sprintf(\__('See our %1$sdocumentation%2$s.', 'flexible-coupons'), '<a href="' . \esc_url($docs_url) . '" target="_blank">', '</a>');
echo '<p class="form-field fc_coupon_code_field coupon-code-settings"><label for="fc_coupon_code">' . $docs_link . '</label></p>';
\woocommerce_wp_select(array('id' => 'fc_product_template' . $loop_id, 'name' => 'fc_product_template' . $loop_name, 'value' => $value, 'label' => \esc_html__('Coupon template', 'flexible-coupons'), 'desc_tip' => \true, 'options' => $product_templates, 'description' => \esc_html__('Select coupon template for this product', 'flexible-coupons')));
