<?php

namespace FlexibleCouponsVendor;

global $post;
use FlexibleCouponsVendor\WPDesk\View\Renderer\Renderer;
$params = isset($params) ? (array) $params : [];
/**
 * @var \WPDesk\Library\WPCoupons\Integration\PostMeta $post_meta
 */
$post_meta = $params['post_meta'];
/**
 * @var Renderer $renderer
 */
$renderer = $params['renderer'];
$nonce_name = $params['nonce_name'];
$nonce_action = $params['nonce_action'];
$product_fields = $params['product_fields'];
$is_premium = $params['is_premium'];
$product_templates = $params['product_templates'];
$custom_attributes = $params['custom_attributes'];
$post_id = (int) $params['post_id'];
$settings = $params['settings'];
$is_pl = 'pl_PL' === \get_locale();
$pro_url = $is_pl ? 'https://www.wpdesk.pl/sklep/flexible-coupons-woocommerce/?utm_source=flexible-coupons-product-edition&amp;utm_medium=link&amp;utm_campaign=flexible-coupons-pro' : 'https://www.wpdesk.net/products/flexible-coupons-woocommerce/?utm_source=flexible-coupons-product-edition&amp;utm_medium=link&amp;utm_campaign=flexible-coupons-pro';
?>

<div id="pdfcoupon_product_data" class="panel woocommerce_options_panel" style="display: none;">
    <div class="fc-options-group">
        <?php 
\wp_nonce_field($nonce_action, $nonce_name);
$renderer->output_render('fields/product-template', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'product_templates' => $product_templates]);
?>
    </div>
    <div class="fc-options-group fc-custom-fields-group">
        <?php 
if (!$is_premium) {
    echo '<p class="form-field"><a target="_blank" href="' . \esc_url($pro_url) . '">' . \esc_html__('Upgrade to PRO and enable options below →', 'flexible-coupons') . '</a></p>';
}
$renderer->output_render('fields/coupon-code-enable', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'custom_attributes' => $custom_attributes, 'settings' => $settings]);
?>
        <div class="show_if_variation_manage_prefix">
            <?php 
$renderer->output_render('fields/coupon-code-prefix', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'custom_attributes' => $custom_attributes, 'settings' => $settings]);
$renderer->output_render('fields/coupon-code-suffix', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'custom_attributes' => $custom_attributes, 'settings' => $settings]);
$renderer->output_render('fields/coupon-code-length', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'custom_attributes' => $custom_attributes, 'settings' => $settings]);
?>
        </div>
        <?php 
$renderer->output_render('fields/product-fields', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'product_fields' => $product_fields, 'custom_attributes' => $custom_attributes]);
?>
    </div>
    <div class="fc-options-group">
        <?php 
$renderer->output_render('fields/usage-limit', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium, 'custom_attributes' => $custom_attributes]);
$renderer->output_render('fields/expiring-date', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium]);
$renderer->output_render('fields/expiring-date-own', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium]);
$renderer->output_render('fields/free-shipping', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium]);
$renderer->output_render('fields/include-products', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium]);
$renderer->output_render('fields/include-categories', ['post_meta' => $post_meta, 'post_id' => $post_id, 'is_premium' => $is_premium]);
?>
    </div>
</div>
<?php 
